# -*- coding: utf-8 -*-
'''
Advanced Power Locale
2010(c) Kirill Plyashkevich <ru.spirit@gmail.com>
'''

from advpowcommon.util.locale import Locale

class APLocale(Locale):

  def __init__(self):
    Locale.__init__(self)

  def initialize(self):
    self.text_domain = 'advanced-power'
    self.current_dict = {
      'item-battery_status': 'Battery',
      'item-battery_status_unknown': 'Unknown battery state',
      'item-battery_status_very_low': 'Battery level is very low',
      'item-battery.charging_full': 'Battery is full',
      'item-battery.charging_on': 'Battery is charging',
      'item-battery.charging_off': 'Charger disconnected',
      'item-timeleft':  'Time left',
      'item-settings-translators': 'Translators',
      'settings/wrappers/battery': 'Battery',
      'unknown': 'unknown',
      'apmd-start': 'Start APMD',
      'apmd-starting': 'Starting APMD',
      'apmd-connected': 'APMD connected',
      'apmd-disconnected': 'APMD disconnected',
      'apmd-waiting': 'Waiting for APMD'
    }

aplocale_singleton = APLocale()
def get_locale(): return aplocale_singleton